/**
 * @param {String} id 
 * @param {Number} data
 */
function getItemname(id, data) {
  data = data || 0
  const itemList = {
    "minecraft:log_0": "Oak Log",
    "minecraft:log_1": "Spruce Log",
    "minecraft:log_2": "Birch Log",
    "minecraft:log_3": "Jungle Log",
    "minecraft:log2_0": "Acacia Log",
    "minecraft:log2_1": "Dark Oak Log",

    "minecraft:planks_0": "Dark Oak Log",
    "minecraft:planks_1": "Dark Oak Log",
    "minecraft:planks_2": "Dark Oak Log",
    "minecraft:planks_3": "Dark Oak Log",
    "minecraft:planks_4": "Dark Oak Log",
    "minecraft:planks_5": "Dark Oak Log",

    "minecraft:experience_bottle_0": "Bottle o' Enchanting"
  }
  if (itemList[id + "_" + data] != undefined) {
    return itemList[id + "_" + data]
  } else {
    let name = ""
    let itemid = id.split(":")[1].split("_")
    let i = 1
    itemid.concat()
    for (const n of itemid) {
      if (i == itemid.length) {
        name += n[0].toUpperCase() + n.substring(1)
      } else {
        name += n[0].toUpperCase() + n.substring(1) + " "
      }
      i = i + 1
    }
    return name
  }
}

/**
 * @param {Number} min 
 * @param {Number} max 
 * @returns {Number}
 */
function random(min, max) {
  return Math.floor(Math.random() * (max - min + 1)) + min;
}

function compareString(a, b, property) {
  if ( a[property] < b[property] ){
    return -1;
  }
  if ( a[property] > b[property] ){
    return 1;
  }
  return 0;
}

export { getItemname, random, compareString }